%define anolis_release 2
Name:           mailcap
Version:        2.1.53
Release:        %{anolis_release}%{?dist}
Summary:        Helper application and MIME type associations for file types

License:        Public Domain and MIT
URL:            https://pagure.io/mailcap
Source0:        https://pagure.io/releases/mailcap/%{name}-%{version}.tar.xz
BuildRequires: make
BuildRequires:  perl-interpreter
# the test script is written in python
BuildRequires:  python3
BuildArch:      noarch

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.  Mailcap should be installed to allow
certain programs to be able to handle non-text files.

Also included in this package is the mime.types file which contains a
list of MIME types and their filename "extension" associations, used
by several applications e.g. to determine MIME types for filenames.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package     -n nginx-mimetypes
Summary:        MIME type mappings for nginx
License:        Public Domain
Requires:       nginx-filesystem

%description -n nginx-mimetypes
MIME type mappings for nginx.


%prep
%setup -q


%build
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install sysconfdir=%{_sysconfdir} mandir=%{_mandir}


%check
make check


%files
%license COPYING
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man5/mailcap.*

%files -n nginx-mimetypes
%license COPYING
%doc NEWS
%config(noreplace) %{_sysconfdir}/nginx/mime.types

%files doc
%doc NEWS

%changelog
* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1.53-2
- add doc package

* Mon May 30 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.53-1
- init from upstream
